[Unit]
Description=Keycloak
After=network.target nss-lookup.target

[Service]
Type=simple
EnvironmentFile=/etc/opt/keycloak
WorkingDirectory={{ keycloak_home_dir }}
User={{ keycloak_system_user }}
{% if keycloak_start_dev %}
ExecStart={{ keycloak_home_dir }}/bin/kc.sh start-dev
{% else %}
ExecStart={{ keycloak_home_dir }}/bin/kc.sh start --log={{ keycloak_log }}
{% endif %}
ExecStop={{ keycloak_home_dir }}/bin/kc.sh stop
Restart=on-failure
RestartSec=10

[Install]
WantedBy=multi-user.target
